#!/bin/sh
#
# Starting MQPortScan
#
#
# Are the MQ Java libraries installed
#
if [ -f "/opt/mqm/java/lib/com.ibm.mq.jar" ] || [ -f "/usr/mqm/java/lib/com.ibm.mq.jar" ]; then
  #
  # Figure out how to use the shared libraries
  #
  case `uname -s` in
  AIX)
    if [ -n "${LIBPATH}" ]; then
      LIBPATH="/usr/mqm/java/lib:$LIBPATH"
    else
      LIBPATH="/usr/mqm/java/lib"
    fi

    if [ -n "${CLASSPATH}" ]; then
      CLASSPATH="libs/MQPortScan.jar:/usr/mqm/java/lib/com.ibm.mq.jar:/usr/mqm/java/lib/connector.jar:/usr/mqm/java/lib:.:$CLASSPATH"
    else
      CLASSPATH="libs/MQPortScan.jar:/usr/mqm/java/lib/com.ibm.mq.jar:/usr/mqm/java/lib/connector.jar:/usr/mqm/java/lib:."
    fi

    export LIBPATH CLASSPATH
    echo "LIBPATH=${LIBPATH}"
  ;;
  HP-UX)
    if [ -n "${SHLIB_PATH}" ]; then
      SHLIB_PATH="/opt/mqm/java/lib:$SHLIB_PATH"
    else
      SHLIB_PATH="/opt/mqm/java/lib"
    fi

    if [ -n "${CLASSPATH}" ]; then
      CLASSPATH="libs/MQPortScan.jar:/opt/mqm/java/lib/com.ibm.mq.jar:/opt/mqm/java/lib/connector.jar:/opt/mqm/java/lib:.:$CLASSPATH"
    else
      CLASSPATH="libs/MQPortScan.jar:/opt/mqm/java/lib/com.ibm.mq.jar:/opt/mqm/java/lib/connector.jar:/opt/mqm/java/lib:."
    fi

    export SHLIB_PATH CLASSPATH
    echo "SHLIB_PATH=${SHLIB_PATH}"
  ;;
  LINUX|Linux)
    if [ -n "${LD_LIBRARY_PATH}" ]; then
      LD_LIBRARY_PATH="/opt/mqm/java/lib:$LD_LIBRARY_PATH"
    else
      LD_LIBRARY_PATH="/opt/mqm/java/lib"
    fi

    if [ -n "${CLASSPATH}" ]; then
      CLASSPATH="libs/MQPortScan.jar:/opt/mqm/java/lib/com.ibm.mq.jar:/opt/mqm/java/lib/connector.jar:/opt/mqm/java/lib:.:$CLASSPATH"
    else
      CLASSPATH="libs/MQPortScan.jar:/opt/mqm/java/lib/com.ibm.mq.jar:/opt/mqm/java/lib/connector.jar:/opt/mqm/java/lib:."
    fi

    export LD_LIBRARY_PATH CLASSPATH
    echo "LD_LIBRARY_PATH=${LD_LIBRARY_PATH}"
  ;;
  SunOS)
    if [ -n "${LD_LIBRARY_PATH}" ]; then
      LD_LIBRARY_PATH="/opt/mqm/java/lib:$LD_LIBRARY_PATH"
    else
      LD_LIBRARY_PATH="/opt/mqm/java/lib"
    fi

    if [ -n "${CLASSPATH}" ]; then
      CLASSPATH="libs/MQPortScan.jar:/opt/mqm/java/lib/com.ibm.mq.jar:/opt/mqm/java/lib/connector.jar:/opt/mqm/java/lib:.:$CLASSPATH"
    else
      CLASSPATH="libs/MQPortScan.jar:/opt/mqm/java/lib/com.ibm.mq.jar:/opt/mqm/java/lib/connector.jar:/opt/mqm/java/lib:."
    fi

    export LD_LIBRARY_PATH CLASSPATH
    echo "LD_LIBRARY_PATH=${LD_LIBRARY_PATH}"
  ;;
  *)
    if [ -n "${CLASSPATH}" ]; then
      CLASSPATH="libs/MQPortScan.jar:libs/com.ibm.mq.jar:libs/connector.jar:libs:.:$CLASSPATH"
    else
      CLASSPATH="libs/MQPortScan.jar:libs/com.ibm.mq.jar:libs/connector.jar:libs:."
    fi

    export CLASSPATH
    echo "Using included libs libraries - Only Client mode connections allowed."
  esac
else
  echo "Java MQ not found."
  exit
fi
#
#
echo "CLASSPATH=${CLASSPATH}"
#
# Now start MQPortScan
#
java -Xms64m -Xmx256m  MQPortScan  "$@"
